aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Hansen <jebrhansen+SBo@gmail.com>2024-08-24 08:23:14 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-24 11:14:29 +0700
commit709474b4d1946c335307fb04613b2418d0448fb8 (patch)
tree55dc21fbd81af391e522829dd58e9c5246b03a69
parent16adf6ca69129ca60ad9c176dc1062d4e6de4ca3 (diff)
system/openrgb: Added (Open source RGB lighting control).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/openrgb/README19
-rw-r--r--system/openrgb/doinst.sh14
-rw-r--r--system/openrgb/openrgb.SlackBuild108
-rw-r--r--system/openrgb/openrgb.info10
-rw-r--r--system/openrgb/slack-desc19
5 files changed, 170 insertions, 0 deletions
diff --git a/system/openrgb/README b/system/openrgb/README
new file mode 100644
index 000000000000..5fb54b1be44b
--- /dev/null
+++ b/system/openrgb/README
@@ -0,0 +1,19 @@
+openrgb (Open source RGB lighting control)
+
+What if there was a way to control all of your RGB devices from
+a single app, on Windows, Linux, and MacOS, without any nonsense?
+That is what OpenRGB sets out to achieve. One app to rule them all.
+
+NOTE: OpenRGB requires access to the I2C system through the i2c-dev
+module and an additional i2c module for your motherboard, usually
+i2c-piix4 for AMD systems and i2c-i801 for Intel systems. If these
+modules are not loaded (check using `lsmod | grep i2c`), add any
+unloaded, required modules to /etc/rc.d/rc.modules.local
+
+/sbin/modprobe i2c_dev # For all systems
+/sbin/modprobe i2c_piix4 # For AMD systems
+/sbin/modprobe i2c_i801 # For Intel systems
+
+If there is a desire to support the server/client setup with an
+automatic start on boot, please let me know (patches would most
+certainly be welcome as it isn't my current use case).
diff --git a/system/openrgb/doinst.sh b/system/openrgb/doinst.sh
new file mode 100644
index 000000000000..82bbf77b485b
--- /dev/null
+++ b/system/openrgb/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /sbin/udevadm ]; then
+ /sbin/udevadm control --reload-rules
+ /sbin/udevadm trigger
+fi
diff --git a/system/openrgb/openrgb.SlackBuild b/system/openrgb/openrgb.SlackBuild
new file mode 100644
index 000000000000..82f8a8f05639
--- /dev/null
+++ b/system/openrgb/openrgb.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for openrgb
+
+# Copyright 2024 Jeremy Hansen <jebrhansen+SBo@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=openrgb
+VERSION=${VERSION:-0.9}
+SRCNAM=${SRCNAM:-OpenRGB}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-release_$VERSION
+tar xvf $CWD/$SRCNAM-release_$VERSION.tar.gz
+cd $SRCNAM-release_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Override default udev rule location since it would put it in a
+# non-standard location in Slackware
+sed -i 's|$$PREFIX/lib/udev/|/lib/udev/|g' OpenRGB.pro
+sed -i 's|/usr/lib/udev/|/lib/udev/|' README.md ResourceManager.cpp
+
+# This fixes breakage if someone is running experimental versions (master branch)
+# It does not affect the current release
+sed -i '/.*certs\.h/'d dependencies/hueplusplus-1.?.0/src/EntertainmentMode.cpp
+
+mkdir -p build
+cd build
+ qmake \
+ PREFIX=/usr \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ ../OpenRGB.pro
+ make
+ make INSTALL_ROOT=$PKG install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/openrgb/openrgb.info b/system/openrgb/openrgb.info
new file mode 100644
index 000000000000..2c2fbb961bfb
--- /dev/null
+++ b/system/openrgb/openrgb.info
@@ -0,0 +1,10 @@
+PRGNAM="openrgb"
+VERSION="0.9"
+HOMEPAGE="https://openrgb.org/"
+DOWNLOAD="https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_0.9/OpenRGB-release_0.9.tar.gz"
+MD5SUM="e16d924464a6ff8bec785e5e4cb0123f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mbedtls hidapi"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/system/openrgb/slack-desc b/system/openrgb/slack-desc
new file mode 100644
index 000000000000..d7d819e20287
--- /dev/null
+++ b/system/openrgb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openrgb: openrgb (Open source RGB lighting control)
+openrgb:
+openrgb: What if there was a way to control all of your RGB devices from
+openrgb: a single app, on Windows, Linux, and MacOS, without any nonsense?
+openrgb: That is what OpenRGB sets out to achieve. One app to rule them all.
+openrgb:
+openrgb: HOMEPAGE: https://openrgb.org/
+openrgb:
+openrgb:
+openrgb:
+openrgb: